# List WhatsApp groups

`GET https://app.whatsetter.com/api/v1/groups`

The workspace's tracked WhatsApp groups (name, size, invite link,
AI state), newest first. Filter by `status` or by WhatsApp
`community_id`. Requires scope `groups:read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `status` | query | active \| paused \| archived \| left | no |  |
| `community_id` | query | string | no | Only groups that belong to this WhatsApp Community (`community.id` of a group). |
| `limit` | query | integer | no |  |
| `cursor` | query | string | no | Opaque cursor from the previous page's `pagination.next_cursor`. |

## Example request

```bash
curl --request GET \
  --url 'https://app.whatsetter.com/api/v1/groups' \
  --header 'Authorization: Bearer ws_live_…'
```

## Responses

### 200: Page of groups

```json
{
  "data": [
    {
      "id": "",
      "whatsapp_id": "",
      "name": "",
      "description": "",
      "participants_count": 0,
      "messages_count": 0,
      "status": "active",
      "ai_enabled": false,
      "invite_url": "",
      "campaign_id": "",
      "created_at": ""
    }
  ],
  "pagination": {
    "has_more": false,
    "next_cursor": ""
  }
}
```

### 401: Missing, unknown or revoked API key

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```

### 422: Invalid parameter or body (also an invalid or expired `cursor`)

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```


Source: https://docs.whatsetter.com/api-reference/operations/listgroups/
